Bug 186876 - Core dump on logout
Summary: Core dump on logout
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: metacity   
(Show other bugs)
Version: 5
Hardware: x86_64 Linux
medium
medium
Target Milestone: ---
Assignee: Søren Sandmann Pedersen
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-03-27 08:17 UTC by Tim Waugh
Modified: 2014-06-18 09:08 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-06 19:51:39 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Tim Waugh 2006-03-27 08:17:43 UTC
Description of problem:
After enabling core dumps, I've noticed a new core file in my home directory
each new time I log in.  It is from the metacity from the previous session.

Version-Release number of selected component (if applicable):
metacity-2.14.0-1

How reproducible:
100%

Steps to Reproduce:
1. Add 'ulimit -c unlimited' to .bash_profile
2. Log in; log out
3. Log in; look for core file
  
Actual results:
#0  meta_compositor_unref (compositor=0x0) at compositor.c:162
162       if (compositor->repair_idle)
#1  0x0000000000419bd5 in meta_display_close (display=0x6d9c20)
    at display.c:926
926       meta_compositor_unref (display->compositor);
#2  0x000000000042b258 in main (argc=1, argv=0x7fffff89cee8) at main.c:505
505             meta_display_close (tmp->data);
#3  0x000000376d71d084 in __libc_start_main () from /lib64/libc.so.6

Comment 1 Tim Waugh 2006-03-27 08:18:06 UTC
FWIW (I didn't change this setting):

[tim@cyberelk ~]$ gconftool-2 -g '/apps/metacity/general/compositing_manager'
false


Comment 2 Damon Chaplin 2006-04-08 13:40:01 UTC
I'm getting this as well, on a plain old i386 Athlon.


Note You need to log in before you can comment on or make changes to this bug.